PUT
/api/v1/storage/bucket_versioning/{bucket_name}/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/storage/bucket_versioning/{bucket_name}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "bucket_name": "bucket_name", "new_versioning_state": "Disabled"}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/storage/bucket_versioning/{bucket_name}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "bucket_name": "bucket_name", "new_versioning_state": "Disabled", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/storage/bucket_versioning/{bucket_name}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "bucket_name": "bucket_name", "new_versioning_state": "Disabled" }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”bucket_name
required
string
Bucket Name
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Body
Section titled “Request Body”Media typeapplication/json
object
bucket_name
required
string
Example
bucket_namenew_versioning_state
required
string
Example
DisabledResponses
Section titled “Responses”A successful response with bucket details
Media typeapplication/json
object
code
integer
data
object
bucket_name
string
bucket_versioning_status
string
errors
object
message
string
Example
{ "code": 200, "data": { "bucket_name": "testing", "bucket_versioning_status": "Enabled" }, "errors": {}, "message": "Success"}